defaultFeatures:
- message:
    featureId: Origin
    featureType: origin
    hasUserCode: false
    name: Origin
    namespace: ''
    nodeId: McQxCBLGdgexqynKm
    parameters: []
    returnAfterSubfeatures: false
    subFeatures: []
    suppressed: false
    suppressionState:
      type: 0
  type: 134
  typeName: BTMFeature
- message:
    featureId: Top
    featureType: defaultPlane
    hasUserCode: false
    name: Top
    namespace: ''
    nodeId: MFk5+ULY/8v3OjlR1
    parameters: []
    returnAfterSubfeatures: false
    subFeatures: []
    suppressed: false
    suppressionState:
      type: 0
  type: 134
  typeName: BTMFeature
- message:
    featureId: Front
    featureType: defaultPlane
    hasUserCode: false
    name: Front
    namespace: ''
    nodeId: M7tdTO12SexxQv/Tj
    parameters: []
    returnAfterSubfeatures: false
    subFeatures: []
    suppressed: false
    suppressionState:
      type: 0
  type: 134
  typeName: BTMFeature
- message:
    featureId: Right
    featureType: defaultPlane
    hasUserCode: false
    name: Right
    namespace: ''
    nodeId: MvZDjcdcQT0RMspPO
    parameters: []
    returnAfterSubfeatures: false
    subFeatures: []
    suppressed: false
    suppressionState:
      type: 0
  type: 134
  typeName: BTMFeature
featureStates:
- key: Origin
  value:
    message:
      featureStatus: OK
    type: 1688
    typeName: BTFeatureState
- key: Top
  value:
    message:
      featureStatus: OK
    type: 1688
    typeName: BTFeatureState
- key: Front
  value:
    message:
      featureStatus: OK
    type: 1688
    typeName: BTFeatureState
- key: Right
  value:
    message:
      featureStatus: OK
    type: 1688
    typeName: BTFeatureState
- key: Ft6PvUdDu8syp9s
  value:
    message:
      featureStatus: OK
    type: 1688
    typeName: BTFeatureState
- key: FJ9W4hDtHhFqMjy_117
  value:
    message:
      featureStatus: OK
    type: 1688
    typeName: BTFeatureState
features:
- message:
    featureId: Ft6PvUdDu8syp9s
    featureType: importForeign
    hasUserCode: false
    name: Import 1
    namespace: ''
    nodeId: MYb7BxfBzPjBSQyEt
    parameters:
    - message:
        foreignId: 5927cc3822e9fe1054cdbb6b
        foreignName: ''
        hasUserCode: false
        nodeId: MHeH3taYxc9qSAGfg
        parameterId: foreignId
      type: 146
      typeName: BTMParameterForeignId
    - message:
        hasUserCode: false
        nodeId: MD+H3ykpSEkiJN3Ny
        parameterId: flatten
        value: false
      type: 144
      typeName: BTMParameterBoolean
    - message:
        hasUserCode: false
        nodeId: M4rhXW3iQNYf0+Lbs
        parameterId: specifyUnits
        value: false
      type: 144
      typeName: BTMParameterBoolean
    - message:
        hasUserCode: false
        nodeId: Mais47P3EcmqGK1Ax
        parameterId: yAxisIsUp
        value: true
      type: 144
      typeName: BTMParameterBoolean
    - message:
        expression: '100.0'
        hasUserCode: false
        isInteger: false
        nodeId: M6GgZMZvpSX2B2aNL
        parameterId: maxAssembliesToCreate
        units: ''
        value: 0.0
      type: 147
      typeName: BTMParameterQuantity
    - message:
        hasUserCode: false
        nodeId: Mu3254cKbRt15h4kh
        parameterId: isModifiable
        value: true
      type: 144
      typeName: BTMParameterBoolean
    - message:
        enumName: FeatureScriptVersionNumber
        hasUserCode: false
        namespace: ''
        nodeId: MtA0Mvvf6nOaKzpAN
        parameterId: asVersion
        value: V477_END_SM_UPDATE
      type: 145
      typeName: BTMParameterEnum
    returnAfterSubfeatures: false
    subFeatures: []
    suppressed: false
    suppressionState:
      type: 0
  type: 134
  typeName: BTMFeature
- message:
    featureId: FJ9W4hDtHhFqMjy_117
    featureType: deleteBodies
    hasUserCode: false
    name: Delete part 1
    namespace: ''
    nodeId: MpMbynhqfhPjrGpm4
    parameters:
    - message:
        hasUserCode: false
        nodeId: MOP3vBojLn1fKEi60
        parameterId: entities
        queries:
        - message:
            geometryIds:
            - JFH
            hasUserCode: false
            nodeId: MUN8HDd3DsnQDQgOn
          type: 138
          typeName: BTMIndividualQuery
      type: 148
      typeName: BTMParameterQueryList
    - message:
        enumName: FeatureScriptVersionNumber
        hasUserCode: false
        namespace: ''
        nodeId: MyKb9sVqKqU+vIw0x
        parameterId: asVersion
        value: V477_END_SM_UPDATE
      type: 145
      typeName: BTMParameterEnum
    returnAfterSubfeatures: false
    subFeatures: []
    suppressed: false
    suppressionState:
      type: 0
  type: 134
  typeName: BTMFeature
imports:
- message:
    hasUserCode: false
    namespace: ''
    nodeId: MC5IskOXX1gMS6lvW
    path: onshape/std/geometry.fs
    version: '1077.0'
  type: 136
  typeName: BTMImport
isComplete: true
libraryVersion: 1077
microversionSkew: false
rejectMicroversionSkew: false
rollbackIndex: 2
serializationVersion: 1.1.17
sourceMicroversion: 2e07c2e3a6eaebd89e9c8f14
